#pragma once

namespace Tmpl8 {

	class BaseObject
	{
	public:
		void Draw(int Type, Surface* screen, int Frame);

		float GetX() const { return X; }
		float GetY() const { return Y; }
		float GetSpeedX() const { return SpeedX; }
		float GetSpeedY() const { return SpeedY; }

		void SetX(int x) { X = x; }
		void SetY(int y) { Y = y; }
		void SetScreenX(int ScreenX) { X -= ScreenX; }

	protected:
		float X;
		float Y;
		float SpeedX;
		float SpeedY;
	};

};