#pragma once
#include "BaseObject.h"

namespace Tmpl8 {

	class Mario;
	class World;

	class Enemy : public BaseObject
	{
	public:
		Enemy(int x, int y, int Type, bool Flying, bool Color);	//constructor prototype

		void EnemyMove(World* UseWorld, Mario* UseMario);
		void CheckEnemyCollision(World* UseWorld, Mario* UseMario);
		void ChangeEnemyDirection();
		int SetFrame(World* UseWorld);

		bool GetEnemyAlive() const { return EnemyAlive; };
		int GetEnemyType() const { return EnemyType; };

		void SetEnemyAlive(bool Alive) { EnemyAlive = Alive; }

		//koopa
		bool GetEnemyFlying() const { return EnemyFlying; };
		bool GetEnemyColor() const { return EnemyColorRed; };
		bool GetEnemyFacingLeft() const { return EnemyFacingLeft; }
		bool GetKicked() const { return Kicked; }

	private:
		int EnemyType;
		int EnemyDeathTimer;

		bool EnemyAlive;
		bool EnemyFacingLeft;
		bool EnemyDead;

		//koopa
		bool EnemyFlying;
		bool EnemyColorRed;
		bool Kicked;
	};

}