#include "precomp.h"
#include "Flag.h"
#include "Mario.h"
#include "World.h"

namespace Tmpl8 {

	Flag::Flag(int x, int y)
	{
		X = x;
		Y = y;
		SpeedX = 0;
		SpeedY = 0;
	}

	void Flag::Move(Mario* UseMario, World* UseWorld, int FinishedTimer)
	{
		if (FinishedTimer > 0) {
			if (Y < 780) {
				Y += 3;
			}
			UseWorld->SetFinishedTimer();
		}
		else {
			int MarioX = UseMario->GetX();

			//Check if Mario hits the flagpole
			if (MarioX + 80 > X + 125) {
				UseWorld->SetFinishedTimer();
			}
		}
	}

}