#include "precomp.h"
#include "BaseObject.h"

namespace Tmpl8 {

	static Sprite goomba(new Surface("assets/Goomba.png"), 9);
	static Sprite koopa(new Surface("assets/Koopa.png"), 32);
	static Sprite mario(new Surface("assets/Player.png"), 84);
	static Sprite marioStar(new Surface("assets/Player-Star.png"), 112);
	static Sprite flag(new Surface("assets/Flag.png"), 1);
	static Sprite coinAnimation(new Surface("assets/CoinAnimation.png"), 4);
	static Sprite powerUps(new Surface("assets/PowerUps.png"), 10);

	void BaseObject::Draw(int Type, Surface* screen, int Frame)
	{
		switch (Type) {
		case 1:	//Mario
			if (Frame >= 100) {
				marioStar.SetFrame(Frame - 100);
				marioStar.Draw(screen, X, Y - 160);
			}
			else {
				mario.SetFrame(Frame);
				mario.Draw(screen, X, Y - 160);
			}
			break;
		case 2:	//Flag
			flag.Draw(screen, X, Y);
			break;
		case 3:	//Goomba
			goomba.SetFrame(Frame);
			goomba.Draw(screen, X, Y);
			break;
		case 4:	//Koopa
			koopa.SetFrame(Frame);
			koopa.Draw(screen, X, Y - 80);
			break;
		case 5:	//Coin Animation
			coinAnimation.SetFrame(Frame);
			coinAnimation.Draw(screen, X, Y);
			break;
		case 6:	//Power Ups
			powerUps.SetFrame(Frame);
			powerUps.Draw(screen, X, Y);
		}
	}

}