#include "precomp.h"
#include "CoinAnimation.h"

namespace Tmpl8 {

	CoinAnimation::CoinAnimation(int x, int y) :
		AnimationTimer(0)
	{
		X = x;
		Y = y;
		SpeedY = -9;
	}

	void CoinAnimation::Move()
	{
		if (SpeedY < 10) {
			SpeedY += 0.2;
		}

		Y += SpeedY;
	}

	int CoinAnimation::SetFrame()
	{
		if (++AnimationTimer < 80) {
			int Timer = AnimationTimer % 20;
			if (Timer < 5) return 0;
			else if (Timer < 10) return 1;
			else if (Timer < 15) return 2;
			else return 3;
		}
		else return -1;
	}
}