#pragma once
#include "BaseObject.h"

namespace Tmpl8 {

    class World;
    class Mario;

    class PowerUps : public BaseObject
    {
    public:
        PowerUps(int x, int y, int Type, Mario* UseMario);

        void Move(World* UseWorld, Mario* UseMario);
        void CheckCollision(World* UseWorld, Mario* UseMario);
        int SetFrame();

        int GetType() const { return Type; }

    private:
        int Type;
        int AnimationTimer;
        int AnimationFrame;
        int Timer;

        bool MovingLeft;
        bool Alive;
    };

}